List Banks
curl --request GET \
--url https://staging-openapi.accountingplus.id/v1/banks \
--header 'A-Data: <api-key>' \
--header 'A-Signature: <api-key>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging-openapi.accountingplus.id/v1/banks"
headers = {
"Authorization": "Bearer <token>",
"A-Signature": "<api-key>",
"A-Data": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
Authorization: 'Bearer <token>',
'A-Signature': '<api-key>',
'A-Data': '<api-key>'
}
};
fetch('https://staging-openapi.accountingplus.id/v1/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "00",
"message": "success",
"data": [
[
{
"bank_code": "BCA",
"bank_name": "Bank Central Asia"
},
{
"bank_code": "BRI",
"bank_name": "Bank Rakyat Indonesia"
},
{
"bank_code": "BNI",
"bank_name": "Bank Negara Indonesia"
}
]
],
"metadata": {
"total": 3,
"limit": 10,
"offset": 0,
"current_page": 1,
"total_pages": 1
}
}Master Data
List Bank
Retrieve a list of banks
GET
/
v1
/
banks
List Banks
Plain Signature
path=/v1/banks&token=YOUR_TOKEN&email=john@gmail.com&tenant_id=841eaf97-c428-47d1-9f6d-c61cc9df7bee
Authorizations
Generate a JWT signed with the client_secret and include the client_id as a claim in its payload.
Generate the signature by creating an SHA256-HMAC hash from the plain signature above, using the signature_secret as the key. Then, Base64-encode the resulting hash and place the final value in the A-Signature header.
Include the email and tenant_id in the payload as Base64 encoded.
Query Parameters
Number of items per page
Required range:
1 <= x <= 100Page number for pagination
Required range:
x >= 1Search by bank name or code
⌘I